<ion-header>
  <ion-toolbar>
    <ion-title color="light">Niveau {{ currentLevel }}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>

  <div *ngIf="question">

       <ion-row class="ion-align-items-center ion-justify-content-center">
         <ion-col size="4" style="left: 13%; text-align: center;">
           <ion-label style="color: #37E9BB; font-family: 'Nunito-ExtraBold'; font-size: 24px;">
              Niveau {{currentLevel}}
           </ion-label>
         </ion-col>

         <ion-col size="3" style=" left: 21%; text-align: center;">
           <ion-button fill="outline"  style="color: #37E9BB; --border-color: #37E9BB; font-family: 'Nunito-Bold'; font-size: 14px; text-transform: none; --border-radius: 0.4em;" (click)="quit()">Quitter</ion-button>
         </ion-col>
       </ion-row>

       <ion-row>
         <ion-col size="12" style="text-align: center;">
           <ion-label style="color: #ffffff; font-family: 'Nunito-Regular'; font-size: 12px;">
              Temps restant
           </ion-label>

           <div style="margin-top: 2%; ">
             <countdown #timer class="timer" [config]="config" (event)="handleTimer($event)"></countdown>
           </div>

         </ion-col>
       </ion-row>


     <ion-row>
       <ion-col size="12" style="padding-left: 17px;">
         <ion-label style="color: #37E9BB; font-family: 'Nunito-SemiBold'; font-size: 12px;">{{question.id}} / {{questions.length}}</ion-label>
       </ion-col>
     </ion-row>

     <ion-card color="transparent" style="margin-top: 0px; box-shadow: none;">
       <ion-card-header style="padding-left: 8px;">
         <ion-card-title style="color: white; font-family: 'Nunito-SemiBold'; font-size: 24px;">{{ question.question }}</ion-card-title>
       </ion-card-header>
     </ion-card>

     <ion-card color="transparent" style=" margin-left: 0; box-shadow: none;" (click)="saveAnswer(question,answer,i)" *ngFor="let answer of question.answers; let i=index" [style.background-color]="answerColors[i]" [disabled]="!nextButton">
       <ion-card-content style="padding-left: 0%; padding-bottom: 0%;" >
         <ion-item color="transparent"  lines="none">
           <ion-badge style="background-image: linear-gradient(to top, #433489, #7b5efc); font-family: 'Nunito-Bold'; font-size: 24px;">{{ i+1 }}</ion-badge>
           <ion-label style="margin-left: 0.5em; color: white; font-family: 'Nunito-Bold'; font-size: 24px;">{{ answer }}</ion-label>
         </ion-item>
       </ion-card-content>
     </ion-card>
      <ion-button [hidden]="nextButton" (click)="resetTimer()" color="light" shape="round">Save</ion-button>

   </div>

   <div style="text-align: center;" *ngIf="showResult" >

     <ion-label style=" font-family: 'Nunito-ExtraBold'; font-size: 24px; color: aqua;">
       Résultats
     </ion-label>
     <div style="display: flex; flex-direction: column; align-items: flex-start;">
       <h5 style="color: white; font-family: 'Nunito-Regular'; font-size: 24px;">Réponses correctes</h5>
       <p style="color: aqua; font-family: 'Nunito-SemiBold'; font-size: 18px;" >{{numberOfCorrectAnswers}} sur {{questions.length}} questions</p>
     </div>

     <div *ngIf="passOrFail === 'pass'">

       <ion-card class="ion-no-padding" style=" border-radius: 1em; background-image: linear-gradient(to top, #433489, #7b5efc);">
         <ion-card-header>
           <ion-card-title style="color: white; font-family: 'Nunito-SemiBold'; font-size: 32px;">Score final</ion-card-title>
         </ion-card-header>
         <ion-card-content class="scoreBackground">
             <ion-card style=" background-image: linear-gradient(to top, #faab2c, #facd2b); width: 10em; height: 10em; border-radius: 5em;">
               <ion-card-content style=" top: 14%;">
                 <h1 style=" font-family: 'Nunito-ExtraBold'; font-size: 60px; color: white; ">{{numberOfCorrectAnswers}}</h1>
               </ion-card-content>
             </ion-card>


         </ion-card-content>
       </ion-card>

       <ion-button style=" width: 8em; height: 1.4em; --background: #6749FD; font-family: 'Nunito-Bold'; font-size: 28px; text-transform: none; --border-radius: 0.4em;" (click)="quit()">Niveau Suivant</ion-button>
     </div>

     <div *ngIf="passOrFail === 'fail'">
       <ion-card class="ion-no-padding" style="border-radius: 1em; background-image: linear-gradient(to top, #4d0094, rgb(138 67 255));">
         <ion-card-header>
           <ion-card-title style="color: white; font-family: 'Nunito-SemiBold'; font-size: 32px;">Score final</ion-card-title>
         </ion-card-header>
         <ion-card-content class="scoreBackground">
           <ion-card style="background-image: linear-gradient(to top, #faab2c, #facd2b); width: 10em; height: 10em; border-radius: 5em;">
             <ion-card-content style=" top: 14%;">
               <h1 style="color: white; font-family: 'Nunito-ExtraBold'; font-size: 60px;">{{numberOfCorrectAnswers}}</h1>
             </ion-card-content>
           </ion-card>
         </ion-card-content>
       </ion-card>

       <ion-buttons style="flex-direction: row; justify-content: center;" >
         <ion-button  (click)="quit()" style=" color: white; width: 8em; height: 1.4em; text-transform: none; font-family: 'Nunito-Bold'; font-size: 28px; --background: #6749FD; --border-radius: 0.4em;">
           Réessayer
         </ion-button>
       </ion-buttons>

     </div>
   </div>


 </ion-content>



